# vim: set ts=4 sw=4 et:

%if %suse_version < 1030
%define _prefix		/opt/gnome
%define _sysconfdir	/etc/opt/gnome
%endif

Name:           gtk-chtheme
Version:        0.3.1
Release:        0.pm.1.1
Summary:        GTK2 Theme Switcher
Source:         http://plasmasturm.org/code/gtk-chtheme/gtk-chtheme-%{version}.tar.bz2
Source1:        gtk-chtheme.desktop
Patch1:         gtk-chtheme-include-missing-gtk-headers.diff
Patch2:         gtk-chtheme-fix_deprecated_gtk_functions.patch
URL:            http://plasmasturm.org/code/gtk-chtheme/
Group:          System/GUI/GNOME
License:        GNU General Public License version 2 or later (GPLv2+)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gcc glibc-devel make gtk2-devel pkgconfig
BuildRequires:  autoconf automake libtool update-desktop-files

%description
As the name suggests, this little program lets you change your gtk+ 2.0
theme. The aim is to make theme preview and selection as slick as
possible. Themes installed on the system are presented for selection and
previewed on the fly. For a comprehensive demonstration there is a large
variety of widgets.

%prep
%setup -q
%patch1
%patch2

%build
export SUSE_ASNEEDED=0
%__make %{?_smp_flags} \
    PREFIX="%{_prefix}" \
    MANDIR="%{_mandir}" \
    RPM_OPT_FLAGS="%{optflags}"

%install
%__install -D -m 0755 gtk-chtheme "%{buildroot}%{_bindir}/gtk-chtheme"
%__install -D -m 0644 gtk-chtheme.1 "%{buildroot}%{_mandir}/man1/gtk-chtheme.1"

%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" Utility DesktopUtility

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_bindir}/gtk-chtheme
%doc %{_mandir}/man1/gtk-chtheme.1%{ext_man}
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Aug  5 2010 pascal.bleser@opensuse.org
- moved to Packman OBS
* Sat Oct 13 2007 guru@unixtech.be
- moved to Packman
* Sun Apr 30 2006 guru@unixtech.be
- rewrote spec file
